gstreamermm: Gst::DiscovererContainerInfo Class Reference

gstreamermm 1.10.0

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::DiscovererContainerInfo Class Reference

DiscovererContainerInfo - Gst::DiscovererStreamInfo specific to container streams. More...

`#include <gstreamermm/discovererinfo.h>`

Inheritance diagram for Gst::DiscovererContainerInfo:
[legend]

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstDiscovererContainerInfo* | gobj ()
| Provides access to the underlying C instance. More...
const GstDiscovererContainerInfo* | gobj () const
| Provides access to the underlying C instance. More...
GstDiscovererContainerInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| DiscovererContainerInfo ()=delete
| DiscovererContainerInfo (const DiscovererContainerInfo&)=delete
DiscovererContainerInfo& | operator= (const DiscovererContainerInfo&)=delete
std::vector< Glib::RefPtr< Gst::DiscovererStreamInfo > > | get_streams ()
std::vector< Glib::RefPtr< const Gst::DiscovererStreamInfo > > | get_streams () const
Public Member Functions inherited from Gst::DiscovererStreamInfo
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstDiscovererStreamInfo* | gobj ()
| Provides access to the underlying C instance. More...
const GstDiscovererStreamInfo* | gobj () const
| Provides access to the underlying C instance. More...
GstDiscovererStreamInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| DiscovererStreamInfo ()=delete
| DiscovererStreamInfo (const DiscovererStreamInfo&)=delete
DiscovererStreamInfo& | operator= (const DiscovererStreamInfo&)=delete
Glib::RefPtr< Gst::Caps > | get_caps ()
Glib::RefPtr< const Gst::Caps > | get_caps () const
Structure | get_misc () const
| Deprecated: This functions is deprecated since version 1.4, use #gst_discoverer_info_get_missing_elements_installer_details. More...
Glib::RefPtr< Gst::DiscovererStreamInfo > | get_next ()
Glib::RefPtr< const Gst::DiscovererStreamInfo > | get_next () const
Glib::RefPtr< Gst::DiscovererStreamInfo > | get_previous ()
Glib::RefPtr< Gst::DiscovererStreamInfo > | get_previous () const
Gst::TagList | get_tags () const
Glib::ustring | get_stream_type_nick () const
Glib::ustring | get_stream_id () const
Glib::RefPtr< const Gst::Toc > | get_toc () const
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| MiniObject ()=delete
| MiniObject (const MiniObject&)=delete
MiniObject& | operator= (const MiniObject&)=delete
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
gint | get_refcount () const
gint | get_lockstate () const
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
void | set_qdata (GQuark quark, QuarkData* data)
| This sets an opaque, named pointer on a miniobject. More...
QuarkData* | get_qdata (GQuark quark) const
| This function gets back user data pointers stored via set_qdata(). More...
QuarkData* | steal_qdata (GQuark quark)
| This function gets back user data pointers stored via set_qdata() and removes the data from object without invoking its destroy() function (if any was set). More...
void | add_finalize_notifier (const SlotFinalizer& slot)
| Adds notifier when mini object is finalized. More...
void | remove_finalize_notifier ()
| Remove finalize notifier. More...

## Protected Member Functions
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::DiscovererStreamInfo
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::DiscovererContainerInfo > | wrap (GstDiscovererContainerInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::DiscovererStreamInfo
Glib::RefPtr< Gst::DiscovererStreamInfo > | wrap (GstDiscovererStreamInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gst::MiniObject
typedef sigc::slot< void > | SlotFinalizer

## Detailed Description

DiscovererContainerInfo - Gst::DiscovererStreamInfo specific to container streams.

## Constructor & Destructor Documentation

## ◆ DiscovererContainerInfo() [1/2]

Gst::DiscovererContainerInfo::DiscovererContainerInfo | ( |  | ) |
| delete

## ◆ DiscovererContainerInfo() [2/2]

Gst::DiscovererContainerInfo::DiscovererContainerInfo | ( | const DiscovererContainerInfo& |  | ) |
| delete

## Member Function Documentation

## ◆ get_streams() [1/2]

std::vector< Glib::RefPtr<Gst::DiscovererStreamInfo> > Gst::DiscovererContainerInfo::get_streams | ( |  | ) |

Returns
  The list of Gst::DiscovererStreamInfo this container stream offers. Free with stream_info_list_free() after usage.

## ◆ get_streams() [2/2]

std::vector< Glib::RefPtr<const Gst::DiscovererStreamInfo> > Gst::DiscovererContainerInfo::get_streams | ( |  | ) | const

Returns
  The list of Gst::DiscovererStreamInfo this container stream offers. Free with stream_info_list_free() after usage.

## ◆ gobj() [1/2]

GstDiscovererContainerInfo* Gst::DiscovererContainerInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GstDiscovererContainerInfo* Gst::DiscovererContainerInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

## ◆ gobj_copy()

GstDiscovererContainerInfo* Gst::DiscovererContainerInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator delete()

void Gst::DiscovererContainerInfo::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

## ◆ operator=()

DiscovererContainerInfo& Gst::DiscovererContainerInfo::operator= | ( | const DiscovererContainerInfo& |  | ) |
| delete

## ◆ reference()

void Gst::DiscovererContainerInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## ◆ unreference()

void Gst::DiscovererContainerInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gst::DiscovererContainerInfo > wrap | ( | GstDiscovererContainerInfo * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.